Below are the system requirements for our DataOpus solution.

Hardware

The Alpha and Beta versions require Windows-based devices that are Internet-enabled. 

Future versions are expected to be entirely cloud-based and only require the device to be Internet-enabled. 

Operating Systems

The Alpha & Beta versions require implementation of either the Windows 10 or 11 platform. 

Future versions are expected to be entirely cloud-based and thus will have no expectation for a specific operating system. 

Supported Languages

Currently, only English is supported but the team is actively working to also have a French versionWe are open to additional languages so please contact us with your opinion on our Feature Request page.

Feedback & Support

While we do not expect any system-level issues please contact support with as much information as possible.